Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jsp22
Interface JspConfigType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  JspConfigTypeImpl

    public interface JspConfigType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `jsp-configType` xsd type

Original Documentation:

The jsp-configType is used to provide global configuration
information for the JSP files in a web application. It has
two subelements, taglib and jsp-property-group.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<JspPropertyGroupType<JspConfigType<T>>>` | `getJspPropertyGroupList()` Returns all `jsp-property-group` elements
`java.util.List<TaglibType<JspConfigType<T>>>` | `getTaglibList()` Returns all `taglib` elements
`JspPropertyGroupType<JspConfigType<T>>` | `jspPropertyGroup()` Returns the `jsp-property-group` element
`JspConfigType<T>` | `removeAllJspPropertyGroup()` Removes all `jsp-property-group` elements
`JspConfigType<T>` | `removeAllTaglib()` Removes all `taglib` elements
`TaglibType<JspConfigType<T>>` | `taglib()` Returns the `taglib` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### removeAllTaglib

    JspConfigType<T> removeAllTaglib()

  Removes all `taglib` elements

  Returns:
    the current instance of `JspConfigType`

### taglib

    TaglibType<JspConfigType<T>> taglib()

  Returns the `taglib` element

  Returns:
    the node defined for the element `taglib`

### getTaglibList

    java.util.List<TaglibType<JspConfigType<T>>> getTaglibList()

  Returns all `taglib` elements

  Returns:
    list of `taglib`

### removeAllJspPropertyGroup

    JspConfigType<T> removeAllJspPropertyGroup()

  Removes all `jsp-property-group` elements

  Returns:
    the current instance of `JspConfigType`

### jspPropertyGroup

    JspPropertyGroupType<JspConfigType<T>> jspPropertyGroup()

  Returns the `jsp-property-group` element

  Returns:
    the node defined for the element `jsp-property-group`

### getJspPropertyGroupList

    java.util.List<JspPropertyGroupType<JspConfigType<T>>> getJspPropertyGroupList()

  Returns all `jsp-property-group` elements

  Returns:
    list of `jsp-property-group`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD